Bug 6849 - Update of e2fsprogs does not pull the update of lib64ext2fs2
: Update of e2fsprogs does not pull the update of lib64ext2fs2
Status: CONFIRMED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Denis Silakov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-16 16:53 MSK by Eugene Shatokhin
Modified: 2016-03-16 17:57 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2016-03-16 16:53:52 MSK
If I update e2fsprogs only (urpmi.update -a; urpmi e2fsprogs), it does not trigger the update of lib64ext2fs2 library e2fsprogs depends upon.

This results in failures of fsck.ext4, for example, "symbol lookup error: fsck.ext4: undefined symbol: ext2fs_journal_sb_start", due to ABI changes in lib64ext2fs2.

By default, when doing update of a package, urpmi should perform the updates of the packages it requires as well, right?
Comment 1 Andrey Bondrov 2016-03-16 17:57:51 MSK
Looks like urpmi's default option --force-req-update didn't work here.